#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kjots
Epoch:          3
Version:        5.1.1
Release:        %mkrel %rel
Summary:        Note Taker for Plasma 5
Group:          Office/Utilities
License:        GPLv2 and LGPLv2+
Url:            https://www.kde.org/applications/utilities/kjots/
Source0:        https://download.kde.org/stable/kjots/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
# KF5 Packages
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5XmlGui)
# PIM packages
BuildRequires:  cmake(KPim5Akonadi)
BuildRequires:  cmake(KPim5Mime)
BuildRequires:  cmake(KPim5AkonadiNotes)
BuildRequires:  cmake(KPim5TextEdit)
BuildRequires:  cmake(KPim5KontactInterface)
BuildRequires:  cmake(Grantlee5)

BuildRequires:  xsltproc

%description
KJots organises all of your notes into separate books.

Features :
   - Multiple books handled.
   - Each book has many named pages.
   - Books and pages can be rearranged by drag-and-drop.
   - Keyboard shortcuts are available for many functions.
   - Automatic saving means your notes are safe from loss.

%files -f %{name}.lang
%doc README
%license LICENSES/*
%{_kf5_bindir}/kjots
%{_qt5_plugindir}/kjotspart.so
%{_qt5_plugindir}/kcm_kjots.so
%{_qt5_plugindir}/pim5/kontact/kontact_kjotsplugin.so
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_services}/%{name}_config_misc.desktop
%{_kf5_services}/%{name}part.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.*

#-------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sun May 28 2023 daviddavid <daviddavid> 3:5.1.1-1.mga9
+ Revision: 1959560
- new version: 5.1.1
- remove merged upstream patches

* Tue Nov 15 2022 daviddavid <daviddavid> 3:5.1.0-2.mga9
+ Revision: 1907387
- add some upstream patches to fix build
- Mageia 9 Mass Rebuild

* Sat Feb 27 2021 daviddavid <daviddavid> 3:5.1.0-1.mga9
+ Revision: 1692681
- new version: 5.1.0

* Thu Dec 17 2020 umeabot <umeabot> 3:5.0.2-10.mga8
+ Revision: 1658724
- Rebuild for new Qt5

* Tue Oct 20 2020 daviddavid <daviddavid> 3:5.0.2-9.mga8
+ Revision: 1637276
- add patch to fix compilation with current kontactinterface API 20.08

* Thu May 28 2020 daviddavid <daviddavid> 3:5.0.2-8.mga8
+ Revision: 1588480
- switch appdata file to kf5_metainfo dir

* Thu Feb 20 2020 daviddavid <daviddavid> 3:5.0.2-7.mga8
+ Revision: 1545649
- rebuild for new grantlee 5.2

* Sat Feb 15 2020 umeabot <umeabot> 3:5.0.2-6.mga8
+ Revision: 1524675
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 3:5.0.2-5.mga7
+ Revision: 1382585
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3:5.0.2-4.mga7
+ Revision: 1298568
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 daviddavid <daviddavid> 3:5.0.2-3.mga7
+ Revision: 1209464
- rebuild against current Qt 5.9.4 stack

* Mon Jul 17 2017 akien <akien> 3:5.0.2-2.mga7
+ Revision: 1124232
- Fix conflicts with mga5

* Sun Dec 18 2016 daviddavid <daviddavid> 3:5.0.2-1.mga6
+ Revision: 1075892
- new version: 5.0.2
- remove merged upstream patches

* Thu Sep 22 2016 daviddavid <daviddavid> 3:5.0.1-3.mga6
+ Revision: 1055113
- backport another upstream fix thus fixing build

* Wed Sep 07 2016 neoclust <neoclust> 3:5.0.1-2.mga6
+ Revision: 1050316
- Submit to release

* Wed Aug 24 2016 daviddavid <daviddavid> 3:5.0.1-1.mga6
+ Revision: 1048522
- add an upstream patch to fix build
- imported package kjots

